<!DOCTYPE html>
<head>
    <meta name="author" content="Tan Yun-E"/>
    <meta name="description" content="FED_Assignment_S10223135"/>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/styles.css"/>
    <link href="https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
          rel="stylesheet">
    <script type="module" src="../vue/index.js"></script>
    <script src="js/ArtScienceMuseum.js"></script>
    <title>ArtScience Museum</title>
</head>
<body>
<div id="header"></div>

<!--banner-->
<section class="banner">
    <img src="images/artsciencemuseum.jpg" id="bg"/>
    <h1 id="text">Singapore ArtScience Museum</h1>
    <div class="toggle"></div>
</section>
<script type="text/javascript">
    let bg = document.getElementById("bg");
    window.addEventListener('scroll', function () {
        var value = window.scrollY;
        let fade = 1 + window.scrollY / -600;
        bg.style.top = value * 0.5 + 'px'
        text.style.top = value * 0.15 + 'px'
        bg.style.opacity = fade
    })
</script>

<!--About-->
<section class="about flex flex-col flex-1">
    <div class="grid grid-cols-1 md:grid-cols-2">
        <div class="contentBx col-1">
            <h2 class="heading">About the ArtScience Museum</h2>
            <p class="abouttext">
                Opened on 17 February 2011 by Prime Minister Lee Hsien Loong, it is the world's first ArtScience museum,
                featuring major exhibitions that blend art, science, culture and technology. It is an iconic cultural
                landmark
                in Singapore.
                <br/><br/>Our mission is to explore where art, science, culture and technology come together.
                It is here at the intersection of art and science that innovation and new ideas are formed.
            </p>
        </div>
        <div class="textBx col-2">
            <p class="abouttext">
                The ArtScience Museum has 21 gallery spaces with a total area of 64,583 square feet (6,000 square
                meters).
                <br/><br/>
                It has held large-scale exhibitions by some of the world's best known artists including Leonardo da
                Vinci,
                Salvador Dali, Andy Warhol, Vincent van Gogh and M.C. Escher. It has also presented significant
                exhbitions
                that explore aspects of
                science including big data, particle physics, paleontology, marine biology, cosmology and space
                exploration.
            </p>
        </div>
    </div>

</section>
<!--Ongoing events-->

<section class="events flex flex-col flex-1">
    <div>
        <!--<img id="FutureWorld" src="images/FutureWorld.jpg" alt="Future World" />
        <img id="RadicalCuriosity" src="images/RadicalCuriosity.jpg" alt="RadicalCuriosity" />
        <img id="HopeFromChaos" src="images/HopeFromChaos.jpg" alt="Hope From Chaos" />
        <img id="AOT" src="images/AOT.jpg" alt="AOT" />-->
    </div>
    <div class="grid grid-cols-1 md:grid-cols-2">
        <div class="col-1">
            <div class="slideshow-container">
                <div class="mySlides fade">
                    <img src="images/FutureWorld.jpg" alt="Future World" style="width:100%">
                </div>
                <div class="mySlides fade">
                    <img src="images/RadicalCuriosity.jpg" alt="RadicalCuriosity" style="width:100%">
                </div>
                <div class="mySlides fade">
                    <img src="images/HopeFromChaos.jpg" alt="Hope From Chaos" style="width:100%">
                </div>
                <div class="mySlides fade">
                    <img src="images/AOT.jpg" alt="AOT" style="width:100%">
                </div>
                <div style="text-align:center">
                    <span class="dot"></span>
                    <span class="dot"></span>
                    <span class="dot"></span>
                    <span class="dot"></span>
                </div>
            </div>
            <script>
                var slideIndex = 0;
                var dots = document.getElementsByClassName("dot");
                showSlides();

                function showSlides() {
                    var i;
                    var slides = document.getElementsByClassName("mySlides");
                    for (i = 0; i < slides.length; i++) {
                        slides[i].style.display = "none";
                    }
                    for (i = 0; i < dots.length; i++) {
                        dots[i].className = dots[i].className.replace(" active", "");
                    }
                    slideIndex++;
                    if (slideIndex > slides.length) {
                        slideIndex = 1
                    }
                    slides[slideIndex - 1].style.display = "block";
                    dots[slideIndex - 1].className += " active";
                    setTimeout(showSlides, 7000);
                }
            </script>
        </div>
        <div class="col-2">
            <h2 class="heading">Ongoing Events</h2>
            <div class="slideshow-container">
                <div class="mySlidest fade">
                    <p class="subtitle">Future World: Where Art Meets Science</p>
                    <p class="description">Immerse yourself in a world of art, science, magic and metaphor through a
                        collection of digital interactive installation.</p><br/>
                </div>
                <div class="mySlidest fade">
                    <p class="subtitle">Radical Curiosity: In the Orbit of Buckminster Fuller</p>
                    <p class="description">Journey through the universe of inventor and visionary, Buckminster Fuller
                        who worked across multiple disciplines including art, science, architecture and design.</p><br/>
                </div>
                <div class="mySlidest fade">
                    <p class="subtitle">Hope from Chaos: Pandemic Reflections</p>
                    <p class="description">Hope from Chaos marks the second anniversary of the arrival of the COVID-19
                        virus into Singapore. Discover the science of infectious diseases and reflect on life
                        during a global pandemic.</p><br/>
                </div>
                <div class="mySlidest fade">
                    <p class="subtitle">Attack On Titan: The Exhibition</p>
                    <p class="description">Featuring over 180 artworks based on the best-selling dark fantasy manga and
                        anime series written and illustrated by Hajime Isayama, be introduced to a world where the last
                        humans are hiding behind walls to fight against mindless gigantic humanoids.</p><br/>
                </div>
            </div>
            <script>
                var textIndex = 0;
                showText();

                function showText() {
                    var y;
                    var text = document.getElementsByClassName("mySlidest");
                    for (y = 0; y < text.length; y++) {
                        text[y].style.display = "none";
                    }
                    textIndex++;
                    if (textIndex > text.length) {
                        textIndex = 1
                    }
                    text[textIndex - 1].style.display = "block";
                    setTimeout(showText, 7000);
                }
            </script>
        </div>
    </div>

</section>

<!--Testimonials-->
<!--Ticket prices-->
<section class="heading-padding">
    <h2 class="heading">Ticket prices</h2>
</section>

<section class="ticket mx-auto align-content-center mw-screen overflow-x-scroll">
    <table class="table mx-2">
        <tr class="table-row-group text-center">
            <td class="table-cell align-middle top"></td>
            <td class="table-cell align-middle top">Adult</td>
            <td class="table-cell align-middle top">Concession^</td>
            <td class="table-cell align-middle top">Family (2 Adults & 2 Children)</td>
            <td class="table-cell align-middle top">Sands Rewards Member (Adult)</td>
            <td class="table-cell align-middle top">Sands Rewards Member (Concession^)</td>
        </tr>
        <tr class="table-row-group text-center">
            <td class="table-cell align-middle">Future World</td>
            <td class="table-cell align-middle">S$16</td>
            <td class="table-cell align-middle">S$12</td>
            <td class="table-cell align-middle">S$45</td>
            <td class="table-cell align-middle">S$13.30</td>
            <td class="table-cell align-middle">S$9.80</td>
        </tr>
        <tr class="table-row-group text-center">
            <td class="table-cell align-middle">Radical Curiosity</td>
            <td class="table-cell align-middle">S$16</td>
            <td class="table-cell align-middle">S$12</td>
            <td class="table-cell align-middle">S$45</td>
            <td class="table-cell align-middle">S$13.30</td>
            <td class="table-cell align-middle">S$9.80</td>
        </tr>
        <tr class="table-row-group text-center">
            <td class="table-cell align-middle">Hope from Chaos</td>
            <td class="table-cell align-middle">S$6</td>
            <td class="table-cell align-middle">S$6</td>
            <td class="table-cell align-middle">S$18</td>
            <td class="table-cell align-middle">NA</td>
            <td class="table-cell align-middle">NA</td>
        </tr>
        <tr class="table-row-group text-center">
            <td class="table-cell align-middle">Attack on Titan</td>
            <td class="table-cell align-middle">S$18</td>
            <td class="table-cell align-middle">S$14</td>
            <td class="table-cell align-middle">S$50</td>
            <td class="table-cell align-middle">S$14.70</td>
            <td class="table-cell align-middle">S$11.20</td>
        </tr>
    </table>
    <p class="additional-details">^Includes Seniors/Students/Children aged 2 – 12 years old/Person with Disabilities (PWD)</p>
    <br/>
</section>

<!--Booking form-->
<section class="booking">
    <div class="container mx-auto">
        <a href="ASMbookingForm.html"
           class="hover:text-blue-400 hover:underline">Click here to start booking!</a>
    </div>
</section>



<div id="footer"></div>

</body>
